#schedule_container {
    margin-left: auto;
    margin-right: auto;
    position: absolute;
    top: 50px;
    left: 0;
    right: 0;
    display: none;
    width: 80%;
    border-radius: 10px 10px 10px 10px;
    font-family: 'Outfit', sans-serif;
    font-size: 1.05em;
    overflow: hidden;
    background-color: rgb(46, 46, 46);
    animation: showTable 0.2s ease-in-out forwards;
    box-shadow: 0px 5px 35px 0px rgba(0, 0, 0, 0.28);
}

#schedule_head {
    color:rgb(130, 130, 130);
    font-size: 1em;
    font-weight: 400;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 5px 0px 15px;
}

#schedule_head img {
    order: 1;
    width: 1.4em;
    height: 1.4em;
    cursor: pointer;
    padding: 10px 10px 10px 10px;
    transition: opacity 0.2s ease-in-out;
    user-select: none;
}
#schedule_head img:hover {
    opacity: 0.75;
}

#table_container {
    display: flex;
    flex-direction: row-reverse;
    width: 100%;
}

#stream_schedule_days {
    background-color: rgb(46, 46, 46);
    float: left;
    z-index: 2;
}

#stream_schedule {
    background-color: rgb(46, 46, 46);
    overflow-x: auto;
    float: left;
}

#day_table {
    width: auto;
    clip-path: inset(0px -40px 0px 0px);
    width: 90px;
}

.table {
   text-align: left;
   width: 100%;
   background-color: white;
   border: none;
   overflow: hidden;
   border-radius: 0px 0px 0px 0px;
   border-spacing: 0px;
   table-layout: fixed;
}

.table tr:nth-child(even) {
    background-color: #f1f1f1;
}

#stream_table tr td:first-child {
    padding-left: 20px;
}

.table td, .table th {
    padding: 9px;
    padding-left: 15px;
}
.table td > div {
    align-content: center;
}
.table td > .filledHeight {
    height: 3.5em;
}
.table td > .emptyHeight {
    height: 1.2em;
}

.table th {
    font-size: 1.15em;
    font-weight: normal;
    padding: 5px 15px 15px 15px;
    background-color: rgb(46, 46, 46);
    color: white;
}

#stream_table th {
    min-width: 85px;
    width: 85px;
}

#day_table td {
    color: #333;
}

#day_table td, #day_table th {
    width: 50px;
}

#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 120%;
    background-color: rgba(0, 0, 0, 0.5);
}

.stream_entry::before {
    position: absolute;
    top: 0;
    left: 0;
    content: "";
    width: 100%;
    height: 100%;
    background-color: var(--entry-color);
    background-image: var(--entry-color);
    transform: skewX(-30deg);
    padding: 0;
}
.stream_entry {
    --entry-color: rgb(100, 100, 100);
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.stream_entry div {
    color: white;
    overflow: hidden;
    z-index: 1;
}

.entry_title {
    white-space: nowrap;
    margin-left: 20px;
    margin-right: 8px;
    font-weight: bold;
    padding-bottom: 2px;
}
.entry_time {
    margin-left: 10px;
    margin-right: 20px;
    white-space: nowrap;
    font-size: 0.9em;
}

@keyframes showTable {
    from {
        transform: scale(10%);
    }
    to {
        transform: scale(100%);
    }
}